Bug 963226 - [abrt] gnome-packagekit-3.8.1-1.fc19: pk_results_get_package_array: Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
[abrt] gnome-packagekit-3.8.1-1.fc19: pk_results_get_package_array: Process /...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:2e5eac7018bafb499b09c370c88...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 08:43 EDT by Vít Ondruch
Modified: 2017-08-22 15:35 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:14:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.79 KB, text/plain)
2013-05-15 08:43 EDT, Vít Ondruch
no flags Details
File: cgroup (141 bytes, text/plain)
2013-05-15 08:43 EDT, Vít Ondruch
no flags Details
File: core_backtrace (1.39 KB, text/plain)
2013-05-15 08:43 EDT, Vít Ondruch
no flags Details
File: dso_list (10.65 KB, text/plain)
2013-05-15 08:43 EDT, Vít Ondruch
no flags Details
File: environ (1011 bytes, text/plain)
2013-05-15 08:43 EDT, Vít Ondruch
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-15 08:43 EDT, Vít Ondruch
no flags Details
File: maps (52.88 KB, text/plain)
2013-05-15 08:43 EDT, Vít Ondruch
no flags Details
File: open_fds (1.20 KB, text/plain)
2013-05-15 08:43 EDT, Vít Ondruch
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2013-05-15 08:43 EDT, Vít Ondruch
no flags Details

  None (edit)
Description Vít Ondruch 2013-05-15 08:43:34 EDT
Description of problem:
I was running "yum update" in my terminal, while I was trying to install RPM directly from FF

Version-Release number of selected component:
gnome-packagekit-3.8.1-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/gpk-dbus-service
crash_function: pk_results_get_package_array
executable:     /usr/bin/gpk-dbus-service
kernel:         3.9.1-301.fc19.x86_64
runlevel:       N 5
uid:            16025
var_log_messages: May 15 14:33:32 unused-4-195 abrt[25023]: Saved core dump of pid 24723 (/usr/bin/gpk-dbus-service) to /var/tmp/abrt/ccpp-2013-05-15-14:33:28-24723 (40624128 bytes)

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 pk_results_get_package_array at pk-results.c:589
 #1 gpk_dbus_task_get_package_for_exec at gpk-dbus-task.c:3233
 #2 gpk_dbus_task_set_exec at gpk-dbus-task.c:3319
 #3 gpk_dbus_create_task at gpk-dbus.c:366
 #4 gpk_dbus_install_package_files at gpk-dbus.c:425
 #5 invoke_object_method at dbus-gobject.c:1899
 #6 object_registration_message at dbus-gobject.c:2161
 #7 _dbus_object_tree_dispatch_and_unlock at dbus-object-tree.c:862
Comment 1 Vít Ondruch 2013-05-15 08:43:38 EDT
Created attachment 748253 [details]
File: backtrace
Comment 2 Vít Ondruch 2013-05-15 08:43:41 EDT
Created attachment 748254 [details]
File: cgroup
Comment 3 Vít Ondruch 2013-05-15 08:43:43 EDT
Created attachment 748255 [details]
File: core_backtrace
Comment 4 Vít Ondruch 2013-05-15 08:43:45 EDT
Created attachment 748256 [details]
File: dso_list
Comment 5 Vít Ondruch 2013-05-15 08:43:47 EDT
Created attachment 748257 [details]
File: environ
Comment 6 Vít Ondruch 2013-05-15 08:43:49 EDT
Created attachment 748258 [details]
File: limits
Comment 7 Vít Ondruch 2013-05-15 08:43:51 EDT
Created attachment 748259 [details]
File: maps
Comment 8 Vít Ondruch 2013-05-15 08:43:53 EDT
Created attachment 748260 [details]
File: open_fds
Comment 9 Vít Ondruch 2013-05-15 08:43:55 EDT
Created attachment 748261 [details]
File: proc_pid_status
Comment 10 Sayak Sarkar 2013-06-05 14:35:29 EDT
Tried installing adobe-flash player after a direct download of yum version from the flash website.

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/gpk-dbus-service
crash_function: pk_results_get_package_array
executable:     /usr/bin/gpk-dbus-service
kernel:         3.9.2-301.fc19.x86_64
package:        gnome-packagekit-3.8.2-1.fc19
reason:         Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
reported_to:    uReport: BTHASH=b958d7c4228cd745604be8fb6119efcddcfc388c
runlevel:       N 5
uid:            1000
Comment 11 owis sabry 2013-08-17 11:39:09 EDT
i don't know , but i think it's happen when i install cinnamon interface !

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/gpk-dbus-service
crash_function: pk_results_get_package_array
executable:     /usr/bin/gpk-dbus-service
kernel:         3.10.4-300.fc19.x86_64
package:        gnome-packagekit-3.8.2-2.fc19
reason:         Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
reported_to:    uReport: BTHASH=77cbff4a42c9325e9b72360574eaee239067b982
runlevel:       N 5
uid:            0
Comment 12 cuidighth 2013-08-18 15:25:43 EDT
I started Virtual Machine Manager. It informed me that the required libvirt* and qemu packages are not installed (true), and offered to install them for me. I clicked on yes, and the modal authentication dialog came up. Underneath it Virtual Machine Manager has now error window saying:

Error talking to PackageKit: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/packageutils.py", line 105, in check_packagekit
    packagekit_install(do_install)
  File "/usr/share/virt-manager/virtManager/packageutils.py", line 148, in packagekit_install
    timeout=timeout)
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gio.py", line 171, in __call__
    None)
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
GError: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/gpk-dbus-service
crash_function: pk_results_get_package_array
executable:     /usr/bin/gpk-dbus-service
kernel:         3.10.6-200.fc19.x86_64
package:        gnome-packagekit-3.8.2-2.fc19
reason:         Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 13 Old Uncle 2013-08-20 02:50:19 EDT
Started updating via Yumex

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/gpk-dbus-service
crash_function: pk_results_get_package_array
executable:     /usr/bin/gpk-dbus-service
kernel:         3.10.3-300.fc19.i686
package:        gnome-packagekit-3.8.2-2.fc19
reason:         Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 14 Fedora End Of Life 2015-01-09 13:07:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 10:14:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.